TestAbstractLdLinker (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.gcc.TestAbstractLdLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class TestAbstractLdLinker

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.gcc.TestAbstractLdLinker

All Implemented Interfaces:
  junit.framework.Test

    public class TestAbstractLdLinker

extends junit.framework.TestCase

Test ld linker adapter abstract base class Override create to test concrete compiler implementions

Constructor Summary
`TestAbstractLdLinker(java.lang.String name)`

Method Summary
`protected net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker` | `getLinker()`
`protected void` | `tearDown()`
`void` | `testAddImpliedArgsDarwinPlugin()` Checks for proper arguments for plugin generation on Darwin See [ 676276 ] Enhanced support for Mac OS X
`void` | `testAddImpliedArgsDarwinShared()` Checks for proper arguments for shared generation on Darwin See [ 676276 ] Enhanced support for Mac OS X
`void` | `testAddImpliedArgsNonDarwinPlugin()` Checks for proper arguments for plugin generation on Darwin See [ 676276 ] Enhanced support for Mac OS X
`void` | `testAddImpliedArgsNonDarwinShared()` Checks for proper arguments for shared generation on Darwin See [ 676276 ] Enhanced support for Mac OS X
`void` | `testAddLibrarySetDirSwitch()`
`void` | `testAddLibrarySetLibFrameworkDarwin()`
`void` | `testAddLibrarySetLibFrameworkNonDarwin()`
`void` | `testAddLibrarySetLibSwitch()`
`void` | `testAddLibraryStatic()`
`void` | `testLibReturnValue()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAbstractLdLinker

    public TestAbstractLdLinker(java.lang.String name)

Method Detail

### getLinker

    protected net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker getLinker()

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testAddImpliedArgsDarwinPlugin

    public void testAddImpliedArgsDarwinPlugin()

  Checks for proper arguments for plugin generation on Darwin See [ 676276 ] Enhanced support for Mac OS X

### testAddImpliedArgsDarwinShared

    public void testAddImpliedArgsDarwinShared()

  Checks for proper arguments for shared generation on Darwin See [ 676276 ] Enhanced support for Mac OS X

### testAddImpliedArgsNonDarwinPlugin

    public void testAddImpliedArgsNonDarwinPlugin()

  Checks for proper arguments for plugin generation on Darwin See [ 676276 ] Enhanced support for Mac OS X

### testAddImpliedArgsNonDarwinShared

    public void testAddImpliedArgsNonDarwinShared()

  Checks for proper arguments for shared generation on Darwin See [ 676276 ] Enhanced support for Mac OS X

### testAddLibrarySetDirSwitch

    public void testAddLibrarySetDirSwitch()

### testAddLibrarySetLibSwitch

    public void testAddLibrarySetLibSwitch()

### testAddLibrarySetLibFrameworkNonDarwin

    public void testAddLibrarySetLibFrameworkNonDarwin()

### testAddLibrarySetLibFrameworkDarwin

    public void testAddLibrarySetLibFrameworkDarwin()

### testAddLibraryStatic

    public void testAddLibraryStatic()

### testLibReturnValue

    public void testLibReturnValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.